Fix some issues when --enable-mpi is activated
[scilab.git] / scilab / modules / ui_data / Makefile.in
1 # Makefile.in generated by automake 1.13.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) DIGITEO - 2010 - Allan CORNET
20
21 # This file must be used under the terms of the CeCILL.
22 # This source file is licensed as described in the file COPYING, which
23 # you should have received as part of this distribution.  The terms
24 # are also available at    
25 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
26 #
27
28 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
29 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
30 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
31 #
32 # This file must be used under the terms of the CeCILL.
33 # This source file is licensed as described in the file COPYING, which
34 # you should have received as part of this distribution.  The terms
35 # are also available at
36 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
37 #
38
39 ##########
40 ### Makefile included stuff
41 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
42 ##########
43
44
45 VPATH = @srcdir@
46 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
47 am__make_running_with_option = \
48   case $${target_option-} in \
49       ?) ;; \
50       *) echo "am__make_running_with_option: internal error: invalid" \
51               "target option '$${target_option-}' specified" >&2; \
52          exit 1;; \
53   esac; \
54   has_opt=no; \
55   sane_makeflags=$$MAKEFLAGS; \
56   if $(am__is_gnu_make); then \
57     sane_makeflags=$$MFLAGS; \
58   else \
59     case $$MAKEFLAGS in \
60       *\\[\ \   ]*) \
61         bs=\\; \
62         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
63           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
64     esac; \
65   fi; \
66   skip_next=no; \
67   strip_trailopt () \
68   { \
69     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
70   }; \
71   for flg in $$sane_makeflags; do \
72     test $$skip_next = yes && { skip_next=no; continue; }; \
73     case $$flg in \
74       *=*|--*) continue;; \
75         -*I) strip_trailopt 'I'; skip_next=yes;; \
76       -*I?*) strip_trailopt 'I';; \
77         -*O) strip_trailopt 'O'; skip_next=yes;; \
78       -*O?*) strip_trailopt 'O';; \
79         -*l) strip_trailopt 'l'; skip_next=yes;; \
80       -*l?*) strip_trailopt 'l';; \
81       -[dEDm]) skip_next=yes;; \
82       -[JT]) skip_next=yes;; \
83     esac; \
84     case $$flg in \
85       *$$target_option*) has_opt=yes; break;; \
86     esac; \
87   done; \
88   test $$has_opt = yes
89 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
90 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
91 pkgdatadir = $(datadir)/@PACKAGE@
92 pkgincludedir = $(includedir)/@PACKAGE@
93 pkglibdir = $(libdir)/@PACKAGE@
94 pkglibexecdir = $(libexecdir)/@PACKAGE@
95 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
96 install_sh_DATA = $(install_sh) -c -m 644
97 install_sh_PROGRAM = $(install_sh) -c
98 install_sh_SCRIPT = $(install_sh) -c
99 INSTALL_HEADER = $(INSTALL_DATA)
100 transform = $(program_transform_name)
101 NORMAL_INSTALL = :
102 PRE_INSTALL = :
103 POST_INSTALL = :
104 NORMAL_UNINSTALL = :
105 PRE_UNINSTALL = :
106 POST_UNINSTALL = :
107 build_triplet = @build@
108 host_triplet = @host@
109 @GIWS_TRUE@am__append_1 = giws
110 @SWIG_TRUE@am__append_2 = swig
111 @GUI_TRUE@am__append_3 = libsciui_data.la 
112 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
113         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
114         $(top_srcdir)/config/depcomp
115 @NEED_JAVA_TRUE@am__append_4 = java
116 subdir = modules/ui_data
117 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
118 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
119         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
120         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
121         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
122         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
123         $(top_srcdir)/m4/intel_compiler.m4 \
124         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
125         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
126         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
127         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
128         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
129         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
130         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
131         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
132         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
133         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
134         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
135 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
136         $(ACLOCAL_M4)
137 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
138 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
139 CONFIG_CLEAN_FILES =
140 CONFIG_CLEAN_VPATH_FILES =
141 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
142 am__vpath_adj = case $$p in \
143     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
144     *) f=$$p;; \
145   esac;
146 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
147 am__install_max = 40
148 am__nobase_strip_setup = \
149   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
150 am__nobase_strip = \
151   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
152 am__nobase_list = $(am__nobase_strip_setup); \
153   for p in $$list; do echo "$$p $$p"; done | \
154   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
155   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
156     if (++n[$$2] == $(am__install_max)) \
157       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
158     END { for (dir in files) print dir, files[dir] }'
159 am__base_list = \
160   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
161   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
162 am__uninstall_files_from_dir = { \
163   test -z "$$files" \
164     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
165     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
166          $(am__cd) "$$dir" && rm -f $$files; }; \
167   }
168 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
169         "$(DESTDIR)$(libsciui_data_la_etcdir)" \
170         "$(DESTDIR)$(libsciui_data_la_rootdir)" \
171         "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" \
172         "$(DESTDIR)$(libsciui_data_la_iconsdir)"
173 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
174 libsciui_data_algo_la_LIBADD =
175 am__objects_1 = libsciui_data_algo_la-ui_data_wrap.lo \
176         libsciui_data_algo_la-PutScilabVariable.lo
177 am__objects_2 = libsciui_data_algo_la-BrowseVar.lo \
178         libsciui_data_algo_la-EditVar.lo \
179         libsciui_data_algo_la-FileBrowser.lo
180 am__objects_3 = libsciui_data_algo_la-BrowseVarManager.lo \
181         libsciui_data_algo_la-FileBrowserChDir.lo
182 am_libsciui_data_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
183         $(am__objects_3)
184 libsciui_data_algo_la_OBJECTS = $(am_libsciui_data_algo_la_OBJECTS)
185 AM_V_lt = $(am__v_lt_@AM_V@)
186 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
187 am__v_lt_0 = --silent
188 am__v_lt_1 = 
189 @GUI_TRUE@am_libsciui_data_algo_la_rpath =
190 libsciui_data_disable_la_LIBADD =
191 am__objects_4 = libsciui_data_disable_la-noui_data.lo
192 am_libsciui_data_disable_la_OBJECTS = $(am__objects_4)
193 libsciui_data_disable_la_OBJECTS =  \
194         $(am_libsciui_data_disable_la_OBJECTS)
195 libsciui_data_la_DEPENDENCIES = libsciui_data-algo.la
196 am__objects_5 = libsciui_data_la-gw_ui_data.lo
197 am__objects_6 = libsciui_data_la-sci_editvar.lo \
198         libsciui_data_la-sci_browsevar.lo \
199         libsciui_data_la-sci_filebrowser.lo \
200         libsciui_data_la-sci_updatebrowsevar.lo \
201         libsciui_data_la-sci_closeEditvar.lo
202 am_libsciui_data_la_OBJECTS = $(am__objects_5) $(am__objects_6)
203 libsciui_data_la_OBJECTS = $(am_libsciui_data_la_OBJECTS)
204 libsciui_data_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
205         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
206         $(AM_CXXFLAGS) $(CXXFLAGS) $(libsciui_data_la_LDFLAGS) \
207         $(LDFLAGS) -o $@
208 @GUI_TRUE@am_libsciui_data_la_rpath = -rpath $(pkglibdir)
209 AM_V_P = $(am__v_P_@AM_V@)
210 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
211 am__v_P_0 = false
212 am__v_P_1 = :
213 AM_V_GEN = $(am__v_GEN_@AM_V@)
214 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
215 am__v_GEN_0 = @echo "  GEN     " $@;
216 am__v_GEN_1 = 
217 AM_V_at = $(am__v_at_@AM_V@)
218 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
219 am__v_at_0 = @
220 am__v_at_1 = 
221 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
222 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
223 am__depfiles_maybe = depfiles
224 am__mv = mv -f
225 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
226         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
227 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
228         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
229         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
230         $(AM_CFLAGS) $(CFLAGS)
231 AM_V_CC = $(am__v_CC_@AM_V@)
232 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
233 am__v_CC_0 = @echo "  CC      " $@;
234 am__v_CC_1 = 
235 CCLD = $(CC)
236 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
237         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
238         $(AM_LDFLAGS) $(LDFLAGS) -o $@
239 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
240 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
241 am__v_CCLD_0 = @echo "  CCLD    " $@;
242 am__v_CCLD_1 = 
243 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
244         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
245 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
246         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
247         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
248         $(AM_CXXFLAGS) $(CXXFLAGS)
249 AM_V_CXX = $(am__v_CXX_@AM_V@)
250 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
251 am__v_CXX_0 = @echo "  CXX     " $@;
252 am__v_CXX_1 = 
253 CXXLD = $(CXX)
254 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
255         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
256         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
257 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
258 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
259 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
260 am__v_CXXLD_1 = 
261 SOURCES = $(libsciui_data_algo_la_SOURCES) \
262         $(libsciui_data_disable_la_SOURCES) \
263         $(libsciui_data_la_SOURCES)
264 DIST_SOURCES = $(libsciui_data_algo_la_SOURCES) \
265         $(libsciui_data_disable_la_SOURCES) \
266         $(libsciui_data_la_SOURCES)
267 am__can_run_installinfo = \
268   case $$AM_UPDATE_INFO_DIR in \
269     n|no|NO) false;; \
270     *) (install-info --version) >/dev/null 2>&1;; \
271   esac
272 DATA = $(libsciui_data_la_etc_DATA) $(libsciui_data_la_root_DATA) \
273         $(libsciui_data_la_sci_gateway_DATA) \
274         $(nobase_libsciui_data_la_icons_DATA)
275 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
276 # Read a list of newline-separated strings from the standard input,
277 # and print each of them once, without duplicates.  Input order is
278 # *not* preserved.
279 am__uniquify_input = $(AWK) '\
280   BEGIN { nonempty = 0; } \
281   { items[$$0] = 1; nonempty = 1; } \
282   END { if (nonempty) { for (i in items) print i; }; } \
283 '
284 # Make sure the list of sources is unique.  This is necessary because,
285 # e.g., the same source file might be shared among _SOURCES variables
286 # for different programs/libraries.
287 am__define_uniq_tagged_files = \
288   list='$(am__tagged_files)'; \
289   unique=`for i in $$list; do \
290     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
291   done | $(am__uniquify_input)`
292 ETAGS = etags
293 CTAGS = ctags
294 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
295 ACLOCAL = @ACLOCAL@
296 ALL_LINGUAS = @ALL_LINGUAS@
297 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
298 AMTAR = @AMTAR@
299 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
300 ANT = @ANT@
301 ANTLR = @ANTLR@
302 AR = @AR@
303 ARPACK_LIBS = @ARPACK_LIBS@
304 ASM3 = @ASM3@
305 AUTOCONF = @AUTOCONF@
306 AUTOHEADER = @AUTOHEADER@
307 AUTOMAKE = @AUTOMAKE@
308 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
309 AWK = @AWK@
310 BATIK = @BATIK@
311 BLAS_LIBS = @BLAS_LIBS@
312 CC = @CC@
313 CCACHE = @CCACHE@
314 CCDEPMODE = @CCDEPMODE@
315 CFLAGS = @CFLAGS@
316 CHECKSTYLE = @CHECKSTYLE@
317 COBERTURA = @COBERTURA@
318 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
319 COMMONS_IO = @COMMONS_IO@
320 COMMONS_LOGGING = @COMMONS_LOGGING@
321 CPP = @CPP@
322 CPPFLAGS = @CPPFLAGS@
323 CURL_CFLAGS = @CURL_CFLAGS@
324 CURL_CONFIG = @CURL_CONFIG@
325 CURL_LIBS = @CURL_LIBS@
326 CURL_VERSION = @CURL_VERSION@
327 CXX = @CXX@
328 CXXCPP = @CXXCPP@
329 CXXDEPMODE = @CXXDEPMODE@
330 CXXFLAGS = @CXXFLAGS@
331 CYGPATH_W = @CYGPATH_W@
332 DEFS = @DEFS@
333 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
334 DEPDIR = @DEPDIR@
335 DOCBOOK_ROOT = @DOCBOOK_ROOT@
336 DOXYGEN_BIN = @DOXYGEN_BIN@
337 DSYMUTIL = @DSYMUTIL@
338 DUMPBIN = @DUMPBIN@
339 ECHO_C = @ECHO_C@
340 ECHO_N = @ECHO_N@
341 ECHO_T = @ECHO_T@
342 EGREP = @EGREP@
343 EXEEXT = @EXEEXT@
344 F77 = @F77@
345 FFLAGS = @FFLAGS@
346 FFTW3_LIB = @FFTW3_LIB@
347 FFTW_ENABLE = @FFTW_ENABLE@
348 FGREP = @FGREP@
349 FLEXDOCK = @FLEXDOCK@
350 FLIBS = @FLIBS@
351 FOP = @FOP@
352 GENHTML = @GENHTML@
353 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
354 GIWS_BIN = @GIWS_BIN@
355 GLUEGEN2_RT = @GLUEGEN2_RT@
356 GMSGFMT = @GMSGFMT@
357 GMSGFMT_015 = @GMSGFMT_015@
358 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
359 GREP = @GREP@
360 GUI_ENABLE = @GUI_ENABLE@
361 HDF5_CFLAGS = @HDF5_CFLAGS@
362 HDF5_LIBS = @HDF5_LIBS@
363 HELP_ENABLE = @HELP_ENABLE@
364 INSTALL = @INSTALL@
365 INSTALL_DATA = @INSTALL_DATA@
366 INSTALL_PROGRAM = @INSTALL_PROGRAM@
367 INSTALL_SCRIPT = @INSTALL_SCRIPT@
368 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
369 INTLLIBS = @INTLLIBS@
370 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
371 JAR = @JAR@
372 JAVA = @JAVA@
373 JAVAC = @JAVAC@
374 JAVAC_DEBUG = @JAVAC_DEBUG@
375 JAVADOC = @JAVADOC@
376 JAVAH = @JAVAH@
377 JAVASCI_ENABLE = @JAVASCI_ENABLE@
378 JAVA_ENABLE = @JAVA_ENABLE@
379 JAVA_G = @JAVA_G@
380 JAVA_HOME = @JAVA_HOME@
381 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
382 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
383 JDB = @JDB@
384 JEUCLID_CORE = @JEUCLID_CORE@
385 JGRAPHX = @JGRAPHX@
386 JHALL = @JHALL@
387 JLATEXMATH = @JLATEXMATH@
388 JLATEXMATH_FOP = @JLATEXMATH_FOP@
389 JOGL2 = @JOGL2@
390 JROSETTA_API = @JROSETTA_API@
391 JROSETTA_ENGINE = @JROSETTA_ENGINE@
392 JUNIT4 = @JUNIT4@
393 LAPACK_LIBS = @LAPACK_LIBS@
394 LCOV = @LCOV@
395 LD = @LD@
396 LDFLAGS = @LDFLAGS@
397 LIBICONV = @LIBICONV@
398 LIBINTL = @LIBINTL@
399 LIBM = @LIBM@
400 LIBOBJS = @LIBOBJS@
401 LIBS = @LIBS@
402 LIBTOOL = @LIBTOOL@
403 LIPO = @LIPO@
404 LN_S = @LN_S@
405 LOGGING_LEVEL = @LOGGING_LEVEL@
406 LOOKS = @LOOKS@
407 LTLIBICONV = @LTLIBICONV@
408 LTLIBINTL = @LTLIBINTL@
409 LTLIBOBJS = @LTLIBOBJS@
410 MAINT = @MAINT@
411 MAKEINFO = @MAKEINFO@
412 MATIO_CFLAGS = @MATIO_CFLAGS@
413 MATIO_ENABLE = @MATIO_ENABLE@
414 MATIO_LIBS = @MATIO_LIBS@
415 MKDIR_P = @MKDIR_P@
416 MPI_ENABLE = @MPI_ENABLE@
417 MSGCAT = @MSGCAT@
418 MSGFMT = @MSGFMT@
419 MSGFMT_015 = @MSGFMT_015@
420 MSGMERGE = @MSGMERGE@
421 NM = @NM@
422 NMEDIT = @NMEDIT@
423 OBJDUMP = @OBJDUMP@
424 OBJEXT = @OBJEXT@
425 OCAMLC = @OCAMLC@
426 OCAMLDEP = @OCAMLDEP@
427 OCAMLLEX = @OCAMLLEX@
428 OCAMLOPT = @OCAMLOPT@
429 OCAMLYACC = @OCAMLYACC@
430 OPENMPI_CC = @OPENMPI_CC@
431 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
432 OPENMPI_CXX = @OPENMPI_CXX@
433 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
434 OPENMPI_LIBS = @OPENMPI_LIBS@
435 OPENMP_CFLAGS = @OPENMP_CFLAGS@
436 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
437 OPENMP_ENABLE = @OPENMP_ENABLE@
438 OPENMP_LIBS = @OPENMP_LIBS@
439 OTOOL = @OTOOL@
440 OTOOL64 = @OTOOL64@
441 PACKAGE = @PACKAGE@
442 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
443 PACKAGE_NAME = @PACKAGE_NAME@
444 PACKAGE_STRING = @PACKAGE_STRING@
445 PACKAGE_TARNAME = @PACKAGE_TARNAME@
446 PACKAGE_URL = @PACKAGE_URL@
447 PACKAGE_VERSION = @PACKAGE_VERSION@
448 PATH_SEPARATOR = @PATH_SEPARATOR@
449 PCRE_CFLAGS = @PCRE_CFLAGS@
450 PCRE_CONFIG = @PCRE_CONFIG@
451 PCRE_LIBS = @PCRE_LIBS@
452 PCRE_VERSION = @PCRE_VERSION@
453 PKG_CONFIG = @PKG_CONFIG@
454 POSUB = @POSUB@
455 POW_LIB = @POW_LIB@
456 PYTHON = @PYTHON@
457 RANLIB = @RANLIB@
458 RELOCATABLE = @RELOCATABLE@
459 RT_LIB = @RT_LIB@
460 SAXON = @SAXON@
461 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
462 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
463 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
464 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
465 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
466 SCIRENDERER = @SCIRENDERER@
467 SCIRENDERER_CP = @SCIRENDERER_CP@
468 SCI_CFLAGS = @SCI_CFLAGS@
469 SCI_CXXFLAGS = @SCI_CXXFLAGS@
470 SCI_FFLAGS = @SCI_FFLAGS@
471 SCI_LDFLAGS = @SCI_LDFLAGS@
472 SED = @SED@
473 SET_MAKE = @SET_MAKE@
474 SET_RELOCATABLE = @SET_RELOCATABLE@
475 SHELL = @SHELL@
476 SKINLF = @SKINLF@
477 SPLINT = @SPLINT@
478 STRIP = @STRIP@
479 SWIG_BIN = @SWIG_BIN@
480 SWIG_JAVA = @SWIG_JAVA@
481 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
482 TCLTK_LIBS = @TCLTK_LIBS@
483 TCL_INC_PATH = @TCL_INC_PATH@
484 TK_INC_PATH = @TK_INC_PATH@
485 UMFPACK_ENABLE = @UMFPACK_ENABLE@
486 UMFPACK_LIB = @UMFPACK_LIB@
487 USE_NLS = @USE_NLS@
488 VERSION = @VERSION@
489 WITH_OCAML = @WITH_OCAML@
490 WITH_TKSCI = @WITH_TKSCI@
491 XCOS_ENABLE = @XCOS_ENABLE@
492 XGETTEXT = @XGETTEXT@
493 XGETTEXT_015 = @XGETTEXT_015@
494 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
495 XMKMF = @XMKMF@
496 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
497 XML_APIS_EXT = @XML_APIS_EXT@
498 XML_CONFIG = @XML_CONFIG@
499 XML_FLAGS = @XML_FLAGS@
500 XML_LIBS = @XML_LIBS@
501 XML_VERSION = @XML_VERSION@
502 X_CFLAGS = @X_CFLAGS@
503 X_EXTRA_LIBS = @X_EXTRA_LIBS@
504 X_LIBS = @X_LIBS@
505 X_PRE_LIBS = @X_PRE_LIBS@
506 abs_builddir = @abs_builddir@
507 abs_srcdir = @abs_srcdir@
508 abs_top_builddir = @abs_top_builddir@
509 abs_top_srcdir = @abs_top_srcdir@
510 ac_ct_AR = @ac_ct_AR@
511 ac_ct_CC = @ac_ct_CC@
512 ac_ct_CXX = @ac_ct_CXX@
513 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
514 ac_ct_F77 = @ac_ct_F77@
515 am__include = @am__include@
516 am__leading_dot = @am__leading_dot@
517 am__quote = @am__quote@
518 am__tar = @am__tar@
519 am__untar = @am__untar@
520 bindir = @bindir@
521 build = @build@
522 build_alias = @build_alias@
523 build_cpu = @build_cpu@
524 build_os = @build_os@
525 build_vendor = @build_vendor@
526 builddir = @builddir@
527 cxx_present = @cxx_present@
528 datadir = @datadir@
529 datarootdir = @datarootdir@
530 docdir = @docdir@
531 dvidir = @dvidir@
532 exec_prefix = @exec_prefix@
533 host = @host@
534 host_alias = @host_alias@
535 host_cpu = @host_cpu@
536 host_os = @host_os@
537 host_vendor = @host_vendor@
538 htmldir = @htmldir@
539 includedir = @includedir@
540 infodir = @infodir@
541 install_sh = @install_sh@
542 libdir = @libdir@
543 libexecdir = @libexecdir@
544 localedir = @localedir@
545 localstatedir = @localstatedir@
546 mandir = @mandir@
547 mkdir_p = @mkdir_p@
548 oldincludedir = @oldincludedir@
549 pdfdir = @pdfdir@
550 prefix = @prefix@
551 program_transform_name = @program_transform_name@
552 psdir = @psdir@
553 sbindir = @sbindir@
554 sharedstatedir = @sharedstatedir@
555 srcdir = @srcdir@
556 sysconfdir = @sysconfdir@
557 target_alias = @target_alias@
558 top_build_prefix = @top_build_prefix@
559 top_builddir = @top_builddir@
560 top_srcdir = @top_srcdir@
561
562 #### Target ######
563 modulename = ui_data
564
565 #### ui_data : Conf files ####
566 libsciui_data_la_rootdir = $(mydatadir)
567 libsciui_data_la_root_DATA = license.txt 
568
569 #### ui_data : init scripts ####
570 libsciui_data_la_etcdir = $(mydatadir)/etc
571 libsciui_data_la_etc_DATA = \
572         etc/ui_data.quit \
573         etc/ui_data.start \
574         etc/variablebrowser_menubar.xml \
575         etc/variableeditor_menubar.xml \
576         etc/XConfiguration-variables.xml \
577         etc/XConfiguration-variables.xsl
578
579 UI_DATA_JNI_SOURCES = src/jni/BrowseVar.cpp \
580                       src/jni/EditVar.cpp \
581                       src/jni/FileBrowser.cpp
582
583 UI_DATA_C_SOURCES = src/jni/ui_data_wrap.c \
584                     src/c/PutScilabVariable.c
585
586 UI_DATA_CXX_SOURCES = src/cpp/BrowseVarManager.cpp \
587                       src/cpp/FileBrowserChDir.cpp
588
589 GIWS_WRAPPERS = \
590 src/jni/BrowseVar.giws.xml \
591 src/jni/EditVar.giws.xml \
592 src/jni/FileBrowser.giws.xml
593
594 SWIG_WRAPPERS = \
595 src/jni/ui_data.i
596
597 BUILT_SOURCES = $(am__append_1) $(am__append_2)
598 GATEWAY_C_SOURCES = sci_gateway/c/gw_ui_data.c
599 GATEWAY_CXX_SOURCES = sci_gateway/cpp/sci_editvar.cpp \
600                       sci_gateway/cpp/sci_browsevar.cpp \
601                       sci_gateway/cpp/sci_filebrowser.cpp \
602                         sci_gateway/cpp/sci_updatebrowsevar.cpp \
603                         sci_gateway/cpp/sci_closeEditvar.cpp
604
605 libsciui_data_la_CPPFLAGS = $(JAVA_JNI_INCLUDE) \
606                         -I$(srcdir)/includes/ \
607                         -I$(srcdir)/src/cpp/ \
608                         -I$(srcdir)/src/c/ \
609                         -I$(srcdir)/src/jni/ \
610                         -I$(top_srcdir)/modules/jvm/includes/ \
611                         -I$(top_srcdir)/modules/output_stream/includes/ \
612                         -I$(top_srcdir)/modules/commons/src/jni \
613                         -I$(top_srcdir)/modules/localization/includes/ \
614                         -I$(top_srcdir)/modules/api_scilab/includes/ \
615                         -I$(top_srcdir)/modules/fileio/includes/ \
616                         -I$(top_srcdir)/modules/core/includes \
617                         $(AM_CPPFLAGS)
618
619
620 # Without the ui_data module 
621 libsciui_data_disable_la_CPPFLAGS = -I$(srcdir)/includes/ \
622                         -I$(top_srcdir)/modules/localization/includes/ \
623                         -I$(top_srcdir)/modules/output_stream/includes \
624                         $(AM_CPPFLAGS)
625
626 UI_DATA_DISABLE_C_SOURCES = src/noui_data/noui_data.c
627 libsciui_data_disable_la_SOURCES = $(UI_DATA_DISABLE_C_SOURCES)
628 pkglib_LTLIBRARIES = libsciui_data-disable.la $(am__append_3)
629 @GUI_TRUE@noinst_LTLIBRARIES = libsciui_data-algo.la 
630 libsciui_data_la_LDFLAGS = $(X_LIBS) $(X_EXTRA_LIBS) $(AM_LDFLAGS)
631 libsciui_data_algo_la_SOURCES = $(UI_DATA_C_SOURCES) $(UI_DATA_JNI_SOURCES) $(UI_DATA_CXX_SOURCES)
632 libsciui_data_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CXX_SOURCES)
633 libsciui_data_algo_la_CPPFLAGS = $(libsciui_data_la_CPPFLAGS)
634
635 # For the code check (splint)
636 CHECK_SRC = $(UI_DATA_C_SOURCES) $(GATEWAY_C_SOURCES)
637 INCLUDE_FLAGS = $(libsciui_data_la_CPPFLAGS)
638 libsciui_data_la_LIBADD = libsciui_data-algo.la
639
640 #### ui_data : gateway declaration ####
641 libsciui_data_la_sci_gatewaydir = $(mydatadir)/sci_gateway
642 libsciui_data_la_sci_gateway_DATA = sci_gateway/ui_data_gateway.xml
643
644 #### ui_data : icons files ####
645 #
646 # Generated with:
647 #    $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png |sort -u
648 libsciui_data_la_iconsdir = $(mydatadir)/
649 nobase_libsciui_data_la_icons_DATA = images/icons/16x16/mimetypes/array_up.png \
650 images/icons/16x16/mimetypes/boolean.png \
651 images/icons/16x16/mimetypes/cell.png \
652 images/icons/16x16/mimetypes/double.png \
653 images/icons/16x16/mimetypes/fptr.png \
654 images/icons/16x16/mimetypes/function.png \
655 images/icons/16x16/mimetypes/handle.png \
656 images/icons/16x16/mimetypes/int.png \
657 images/icons/16x16/mimetypes/list.png \
658 images/icons/16x16/mimetypes/mlist.png \
659 images/icons/16x16/mimetypes/noicon.png \
660 images/icons/16x16/mimetypes/object.png \
661 images/icons/16x16/mimetypes/polynomial.png \
662 images/icons/16x16/mimetypes/sparse.png \
663 images/icons/16x16/mimetypes/string.png \
664 images/icons/16x16/mimetypes/timeseries.png \
665 images/icons/16x16/mimetypes/tlist.png \
666 images/icons/16x16/mimetypes/uint.png \
667 images/icons/16x16/mimetypes/user.png
668
669 @GUI_TRUE@USEANT = 1
670
671 # Where all the Scilab stuff is installed (macros, help, ...)
672 mydatadir = $(pkgdatadir)/modules/$(modulename)
673
674 # Set AM_* SCI detected settings
675 AM_CPPFLAGS = $(SCI_CPPFLAGS)
676 AM_CFLAGS = $(SCI_CFLAGS)
677 AM_CXXFLAGS = $(SCI_CXXFLAGS)
678 # append includes to AM_FFLAGS to manage fortran includes
679 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
680
681 # Tag shared libraries with the Scilab version
682 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
683
684 # splint options
685 SPLINT_OPTIONS = -weak -booltype BOOL
686
687 ########################### JAVA ######################################
688 #### We are delegating java compilation to ant... Thanks to that
689 #### the procedure will be the same with Microsoft Windows (C)
690 #### and Linux/Unix
691 #######################################################################
692 TARGETS_ALL = $(am__append_4)
693
694 ################ MACROS ######################
695 # Rule to build a macro
696 # NOT USED  AT THE MOMENT
697 SUFFIXES = .sci 
698
699 ########### INSTALL DOCUMENTATION ###################
700
701 # Install documentation files into the right target
702 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
703 # automake needs the html files to be present which is not the case when
704 # we are building Scilab
705
706 # Where it should be installed
707 pkgdocdir = $(mydatadir)
708
709 # What is the mask of the help source
710 DOCMASKXML = *.xml
711
712 # What is the mask of the MathML sources
713 DOCMASKMML = *.mml
714
715 ########### INSTALL DATA ###################
716 # Install macros, help & demos
717 # Where it should be installed
718 pkgmacrosdir = $(mydatadir)
719 # Which directory we process
720 MACRODIRS = macros/
721 # Mask of the Scilab sources macros
722 MACROMASK = *.sci
723 # Mask of the Scilab executable sources macros
724 MACROBUILDMASK = *.sce
725 # Mask of the Scilab compiled macros
726 MACROBINMASK = *.bin
727 # List of the standard directory for tests
728 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
729 # Where the demos should be installed
730 pkgdemosdir = $(mydatadir)
731 # List of the standard directory for demos
732 DEMOS_DIR = demos
733 # List of the standard directory for examples
734 EXAMPLES_DIR = examples
735 # Where to export JAVA archives (.jar)
736 JARDIR = jar/
737 # JAR files mask
738 JARMASK = *.jar
739 # Chapter file 
740 HELP_CHAPTERDIR = help/
741 HELP_CHAPTERFILE = addchapter.sce
742 HELP_CHAPTERLANG = en_US fr_FR pt_BR
743 all: $(BUILT_SOURCES)
744         $(MAKE) $(AM_MAKEFLAGS) all-am
745
746 .SUFFIXES:
747 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
748 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
749         @for dep in $?; do \
750           case '$(am__configure_deps)' in \
751             *$$dep*) \
752               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
753                 && { if test -f $@; then exit 0; else break; fi; }; \
754               exit 1;; \
755           esac; \
756         done; \
757         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/ui_data/Makefile'; \
758         $(am__cd) $(top_srcdir) && \
759           $(AUTOMAKE) --foreign modules/ui_data/Makefile
760 .PRECIOUS: Makefile
761 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
762         @case '$?' in \
763           *config.status*) \
764             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
765           *) \
766             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
767             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
768         esac;
769 $(top_srcdir)/Makefile.incl.am:
770
771 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
772         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
773
774 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
775         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
776 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
777         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
778 $(am__aclocal_m4_deps):
779
780 clean-noinstLTLIBRARIES:
781         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
782         @list='$(noinst_LTLIBRARIES)'; \
783         locs=`for p in $$list; do echo $$p; done | \
784               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
785               sort -u`; \
786         test -z "$$locs" || { \
787           echo rm -f $${locs}; \
788           rm -f $${locs}; \
789         }
790
791 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
792         @$(NORMAL_INSTALL)
793         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
794         list2=; for p in $$list; do \
795           if test -f $$p; then \
796             list2="$$list2 $$p"; \
797           else :; fi; \
798         done; \
799         test -z "$$list2" || { \
800           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
801           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
802           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
803           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
804         }
805
806 uninstall-pkglibLTLIBRARIES:
807         @$(NORMAL_UNINSTALL)
808         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
809         for p in $$list; do \
810           $(am__strip_dir) \
811           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
812           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
813         done
814
815 clean-pkglibLTLIBRARIES:
816         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
817         @list='$(pkglib_LTLIBRARIES)'; \
818         locs=`for p in $$list; do echo $$p; done | \
819               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
820               sort -u`; \
821         test -z "$$locs" || { \
822           echo rm -f $${locs}; \
823           rm -f $${locs}; \
824         }
825
826 libsciui_data-algo.la: $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_DEPENDENCIES) $(EXTRA_libsciui_data_algo_la_DEPENDENCIES) 
827         $(AM_V_CXXLD)$(CXXLINK) $(am_libsciui_data_algo_la_rpath) $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_LIBADD) $(LIBS)
828
829 libsciui_data-disable.la: $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_DEPENDENCIES) $(EXTRA_libsciui_data_disable_la_DEPENDENCIES) 
830         $(AM_V_CCLD)$(LINK) -rpath $(pkglibdir) $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_LIBADD) $(LIBS)
831
832 libsciui_data.la: $(libsciui_data_la_OBJECTS) $(libsciui_data_la_DEPENDENCIES) $(EXTRA_libsciui_data_la_DEPENDENCIES) 
833         $(AM_V_CXXLD)$(libsciui_data_la_LINK) $(am_libsciui_data_la_rpath) $(libsciui_data_la_OBJECTS) $(libsciui_data_la_LIBADD) $(LIBS)
834
835 mostlyclean-compile:
836         -rm -f *.$(OBJEXT)
837
838 distclean-compile:
839         -rm -f *.tab.c
840
841 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo@am__quote@
842 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo@am__quote@
843 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo@am__quote@
844 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo@am__quote@
845 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo@am__quote@
846 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo@am__quote@
847 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo@am__quote@
848 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo@am__quote@
849 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-gw_ui_data.Plo@am__quote@
850 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo@am__quote@
851 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo@am__quote@
852 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_editvar.Plo@am__quote@
853 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo@am__quote@
854 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo@am__quote@
855
856 .c.o:
857 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
858 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
859 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
860 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
861 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c $<
862
863 .c.obj:
864 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
865 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
866 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
867 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
868 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c `$(CYGPATH_W) '$<'`
869
870 .c.lo:
871 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
872 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
873 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
874 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
875 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
876
877 libsciui_data_algo_la-ui_data_wrap.lo: src/jni/ui_data_wrap.c
878 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_algo_la-ui_data_wrap.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo -c -o libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
879 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo $(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo
880 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/ui_data_wrap.c' object='libsciui_data_algo_la-ui_data_wrap.lo' libtool=yes @AMDEPBACKSLASH@
881 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
882 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
883
884 libsciui_data_algo_la-PutScilabVariable.lo: src/c/PutScilabVariable.c
885 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_algo_la-PutScilabVariable.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo -c -o libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
886 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo $(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo
887 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/PutScilabVariable.c' object='libsciui_data_algo_la-PutScilabVariable.lo' libtool=yes @AMDEPBACKSLASH@
888 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
889 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
890
891 libsciui_data_disable_la-noui_data.lo: src/noui_data/noui_data.c
892 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_disable_la-noui_data.lo -MD -MP -MF $(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo -c -o libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
893 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo $(DEPDIR)/libsciui_data_disable_la-noui_data.Plo
894 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/noui_data/noui_data.c' object='libsciui_data_disable_la-noui_data.lo' libtool=yes @AMDEPBACKSLASH@
895 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
896 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
897
898 libsciui_data_la-gw_ui_data.lo: sci_gateway/c/gw_ui_data.c
899 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libsciui_data_la-gw_ui_data.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-gw_ui_data.Tpo -c -o libsciui_data_la-gw_ui_data.lo `test -f 'sci_gateway/c/gw_ui_data.c' || echo '$(srcdir)/'`sci_gateway/c/gw_ui_data.c
900 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-gw_ui_data.Tpo $(DEPDIR)/libsciui_data_la-gw_ui_data.Plo
901 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/gw_ui_data.c' object='libsciui_data_la-gw_ui_data.lo' libtool=yes @AMDEPBACKSLASH@
902 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
903 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libsciui_data_la-gw_ui_data.lo `test -f 'sci_gateway/c/gw_ui_data.c' || echo '$(srcdir)/'`sci_gateway/c/gw_ui_data.c
904
905 .cpp.o:
906 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
907 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
908 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
909 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
910 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
911
912 .cpp.obj:
913 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
914 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
915 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
916 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
917 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
918
919 .cpp.lo:
920 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
921 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
922 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
923 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
924 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
925
926 libsciui_data_algo_la-BrowseVar.lo: src/jni/BrowseVar.cpp
927 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-BrowseVar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo -c -o libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
928 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo $(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo
929 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/BrowseVar.cpp' object='libsciui_data_algo_la-BrowseVar.lo' libtool=yes @AMDEPBACKSLASH@
930 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
931 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
932
933 libsciui_data_algo_la-EditVar.lo: src/jni/EditVar.cpp
934 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-EditVar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo -c -o libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
935 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo $(DEPDIR)/libsciui_data_algo_la-EditVar.Plo
936 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/EditVar.cpp' object='libsciui_data_algo_la-EditVar.lo' libtool=yes @AMDEPBACKSLASH@
937 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
938 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
939
940 libsciui_data_algo_la-FileBrowser.lo: src/jni/FileBrowser.cpp
941 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-FileBrowser.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo -c -o libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
942 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo $(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo
943 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/FileBrowser.cpp' object='libsciui_data_algo_la-FileBrowser.lo' libtool=yes @AMDEPBACKSLASH@
944 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
945 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
946
947 libsciui_data_algo_la-BrowseVarManager.lo: src/cpp/BrowseVarManager.cpp
948 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-BrowseVarManager.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Tpo -c -o libsciui_data_algo_la-BrowseVarManager.lo `test -f 'src/cpp/BrowseVarManager.cpp' || echo '$(srcdir)/'`src/cpp/BrowseVarManager.cpp
949 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Tpo $(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo
950 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/BrowseVarManager.cpp' object='libsciui_data_algo_la-BrowseVarManager.lo' libtool=yes @AMDEPBACKSLASH@
951 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
952 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-BrowseVarManager.lo `test -f 'src/cpp/BrowseVarManager.cpp' || echo '$(srcdir)/'`src/cpp/BrowseVarManager.cpp
953
954 libsciui_data_algo_la-FileBrowserChDir.lo: src/cpp/FileBrowserChDir.cpp
955 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_algo_la-FileBrowserChDir.lo -MD -MP -MF $(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo -c -o libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
956 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo $(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo
957 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/FileBrowserChDir.cpp' object='libsciui_data_algo_la-FileBrowserChDir.lo' libtool=yes @AMDEPBACKSLASH@
958 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
959 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
960
961 libsciui_data_la-sci_editvar.lo: sci_gateway/cpp/sci_editvar.cpp
962 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_editvar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_editvar.Tpo -c -o libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
963 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-sci_editvar.Tpo $(DEPDIR)/libsciui_data_la-sci_editvar.Plo
964 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_editvar.cpp' object='libsciui_data_la-sci_editvar.lo' libtool=yes @AMDEPBACKSLASH@
965 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
966 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
967
968 libsciui_data_la-sci_browsevar.lo: sci_gateway/cpp/sci_browsevar.cpp
969 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_browsevar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo -c -o libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
970 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo $(DEPDIR)/libsciui_data_la-sci_browsevar.Plo
971 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_browsevar.cpp' object='libsciui_data_la-sci_browsevar.lo' libtool=yes @AMDEPBACKSLASH@
972 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
973 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
974
975 libsciui_data_la-sci_filebrowser.lo: sci_gateway/cpp/sci_filebrowser.cpp
976 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_filebrowser.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo -c -o libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
977 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo $(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo
978 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_filebrowser.cpp' object='libsciui_data_la-sci_filebrowser.lo' libtool=yes @AMDEPBACKSLASH@
979 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
980 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
981
982 libsciui_data_la-sci_updatebrowsevar.lo: sci_gateway/cpp/sci_updatebrowsevar.cpp
983 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_updatebrowsevar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo -c -o libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
984 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo $(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo
985 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_updatebrowsevar.cpp' object='libsciui_data_la-sci_updatebrowsevar.lo' libtool=yes @AMDEPBACKSLASH@
986 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
987 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
988
989 libsciui_data_la-sci_closeEditvar.lo: sci_gateway/cpp/sci_closeEditvar.cpp
990 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciui_data_la-sci_closeEditvar.lo -MD -MP -MF $(DEPDIR)/libsciui_data_la-sci_closeEditvar.Tpo -c -o libsciui_data_la-sci_closeEditvar.lo `test -f 'sci_gateway/cpp/sci_closeEditvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeEditvar.cpp
991 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciui_data_la-sci_closeEditvar.Tpo $(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo
992 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_closeEditvar.cpp' object='libsciui_data_la-sci_closeEditvar.lo' libtool=yes @AMDEPBACKSLASH@
993 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
994 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciui_data_la-sci_closeEditvar.lo `test -f 'sci_gateway/cpp/sci_closeEditvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeEditvar.cpp
995
996 mostlyclean-libtool:
997         -rm -f *.lo
998
999 clean-libtool:
1000         -rm -rf .libs _libs
1001 install-libsciui_data_la_etcDATA: $(libsciui_data_la_etc_DATA)
1002         @$(NORMAL_INSTALL)
1003         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
1004         if test -n "$$list"; then \
1005           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
1006           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit 1; \
1007         fi; \
1008         for p in $$list; do \
1009           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1010           echo "$$d$$p"; \
1011         done | $(am__base_list) | \
1012         while read files; do \
1013           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
1014           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit $$?; \
1015         done
1016
1017 uninstall-libsciui_data_la_etcDATA:
1018         @$(NORMAL_UNINSTALL)
1019         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
1020         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1021         dir='$(DESTDIR)$(libsciui_data_la_etcdir)'; $(am__uninstall_files_from_dir)
1022 install-libsciui_data_la_rootDATA: $(libsciui_data_la_root_DATA)
1023         @$(NORMAL_INSTALL)
1024         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
1025         if test -n "$$list"; then \
1026           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
1027           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit 1; \
1028         fi; \
1029         for p in $$list; do \
1030           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1031           echo "$$d$$p"; \
1032         done | $(am__base_list) | \
1033         while read files; do \
1034           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
1035           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit $$?; \
1036         done
1037
1038 uninstall-libsciui_data_la_rootDATA:
1039         @$(NORMAL_UNINSTALL)
1040         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
1041         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1042         dir='$(DESTDIR)$(libsciui_data_la_rootdir)'; $(am__uninstall_files_from_dir)
1043 install-libsciui_data_la_sci_gatewayDATA: $(libsciui_data_la_sci_gateway_DATA)
1044         @$(NORMAL_INSTALL)
1045         @list='$(libsciui_data_la_sci_gateway_DATA)'; test -n "$(libsciui_data_la_sci_gatewaydir)" || list=; \
1046         if test -n "$$list"; then \
1047           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'"; \
1048           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" || exit 1; \
1049         fi; \
1050         for p in $$list; do \
1051           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1052           echo "$$d$$p"; \
1053         done | $(am__base_list) | \
1054         while read files; do \
1055           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'"; \
1056           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" || exit $$?; \
1057         done
1058
1059 uninstall-libsciui_data_la_sci_gatewayDATA:
1060         @$(NORMAL_UNINSTALL)
1061         @list='$(libsciui_data_la_sci_gateway_DATA)'; test -n "$(libsciui_data_la_sci_gatewaydir)" || list=; \
1062         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1063         dir='$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1064 install-nobase_libsciui_data_la_iconsDATA: $(nobase_libsciui_data_la_icons_DATA)
1065         @$(NORMAL_INSTALL)
1066         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
1067         if test -n "$$list"; then \
1068           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)'"; \
1069           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)" || exit 1; \
1070         fi; \
1071         $(am__nobase_list) | while read dir files; do \
1072           xfiles=; for file in $$files; do \
1073             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
1074             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
1075           test -z "$$xfiles" || { \
1076             test "x$$dir" = x. || { \
1077               echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
1078               $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir"; }; \
1079             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
1080             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir" || exit $$?; }; \
1081         done
1082
1083 uninstall-nobase_libsciui_data_la_iconsDATA:
1084         @$(NORMAL_UNINSTALL)
1085         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
1086         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
1087         dir='$(DESTDIR)$(libsciui_data_la_iconsdir)'; $(am__uninstall_files_from_dir)
1088
1089 ID: $(am__tagged_files)
1090         $(am__define_uniq_tagged_files); mkid -fID $$unique
1091 tags: tags-am
1092 TAGS: tags
1093
1094 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1095         set x; \
1096         here=`pwd`; \
1097         $(am__define_uniq_tagged_files); \
1098         shift; \
1099         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1100           test -n "$$unique" || unique=$$empty_fix; \
1101           if test $$# -gt 0; then \
1102             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1103               "$$@" $$unique; \
1104           else \
1105             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1106               $$unique; \
1107           fi; \
1108         fi
1109 ctags: ctags-am
1110
1111 CTAGS: ctags
1112 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1113         $(am__define_uniq_tagged_files); \
1114         test -z "$(CTAGS_ARGS)$$unique" \
1115           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1116              $$unique
1117
1118 GTAGS:
1119         here=`$(am__cd) $(top_builddir) && pwd` \
1120           && $(am__cd) $(top_srcdir) \
1121           && gtags -i $(GTAGS_ARGS) "$$here"
1122 cscopelist: cscopelist-am
1123
1124 cscopelist-am: $(am__tagged_files)
1125         list='$(am__tagged_files)'; \
1126         case "$(srcdir)" in \
1127           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1128           *) sdir=$(subdir)/$(srcdir) ;; \
1129         esac; \
1130         for i in $$list; do \
1131           if test -f "$$i"; then \
1132             echo "$(subdir)/$$i"; \
1133           else \
1134             echo "$$sdir/$$i"; \
1135           fi; \
1136         done >> $(top_builddir)/cscope.files
1137
1138 distclean-tags:
1139         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1140
1141 distdir: $(DISTFILES)
1142         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1143         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1144         list='$(DISTFILES)'; \
1145           dist_files=`for file in $$list; do echo $$file; done | \
1146           sed -e "s|^$$srcdirstrip/||;t" \
1147               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1148         case $$dist_files in \
1149           */*) $(MKDIR_P) `echo "$$dist_files" | \
1150                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1151                            sort -u` ;; \
1152         esac; \
1153         for file in $$dist_files; do \
1154           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1155           if test -d $$d/$$file; then \
1156             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1157             if test -d "$(distdir)/$$file"; then \
1158               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1159             fi; \
1160             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1161               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1162               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1163             fi; \
1164             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1165           else \
1166             test -f "$(distdir)/$$file" \
1167             || cp -p $$d/$$file "$(distdir)/$$file" \
1168             || exit 1; \
1169           fi; \
1170         done
1171 check-am: all-am
1172         $(MAKE) $(AM_MAKEFLAGS) check-local
1173 check: $(BUILT_SOURCES)
1174         $(MAKE) $(AM_MAKEFLAGS) check-am
1175 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1176 installdirs:
1177         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciui_data_la_etcdir)" "$(DESTDIR)$(libsciui_data_la_rootdir)" "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" "$(DESTDIR)$(libsciui_data_la_iconsdir)"; do \
1178           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1179         done
1180 install: $(BUILT_SOURCES)
1181         $(MAKE) $(AM_MAKEFLAGS) install-am
1182 install-exec: install-exec-am
1183 install-data: install-data-am
1184 uninstall: uninstall-am
1185
1186 install-am: all-am
1187         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1188
1189 installcheck: installcheck-am
1190 install-strip:
1191         if test -z '$(STRIP)'; then \
1192           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1193             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1194               install; \
1195         else \
1196           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1197             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1198             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1199         fi
1200 mostlyclean-generic:
1201
1202 clean-generic:
1203
1204 distclean-generic:
1205         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1206         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1207
1208 maintainer-clean-generic:
1209         @echo "This command is intended for maintainers to use"
1210         @echo "it deletes files that may require special tools to rebuild."
1211         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1212 clean: clean-am
1213
1214 clean-am: clean-generic clean-libtool clean-local \
1215         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1216
1217 distclean: distclean-am
1218         -rm -rf ./$(DEPDIR)
1219         -rm -f Makefile
1220 distclean-am: clean-am distclean-compile distclean-generic \
1221         distclean-local distclean-tags
1222
1223 dvi: dvi-am
1224
1225 dvi-am:
1226
1227 html: html-am
1228
1229 html-am:
1230
1231 info: info-am
1232
1233 info-am:
1234
1235 install-data-am: install-data-local install-libsciui_data_la_etcDATA \
1236         install-libsciui_data_la_rootDATA \
1237         install-libsciui_data_la_sci_gatewayDATA \
1238         install-nobase_libsciui_data_la_iconsDATA
1239
1240 install-dvi: install-dvi-am
1241
1242 install-dvi-am:
1243
1244 install-exec-am: install-pkglibLTLIBRARIES
1245
1246 install-html: install-html-am
1247
1248 install-html-am: install-html-local
1249
1250 install-info: install-info-am
1251
1252 install-info-am:
1253
1254 install-man:
1255
1256 install-pdf: install-pdf-am
1257
1258 install-pdf-am:
1259
1260 install-ps: install-ps-am
1261
1262 install-ps-am:
1263
1264 installcheck-am:
1265
1266 maintainer-clean: maintainer-clean-am
1267         -rm -rf ./$(DEPDIR)
1268         -rm -f Makefile
1269 maintainer-clean-am: distclean-am maintainer-clean-generic
1270
1271 mostlyclean: mostlyclean-am
1272
1273 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1274         mostlyclean-libtool
1275
1276 pdf: pdf-am
1277
1278 pdf-am:
1279
1280 ps: ps-am
1281
1282 ps-am:
1283
1284 uninstall-am: uninstall-libsciui_data_la_etcDATA \
1285         uninstall-libsciui_data_la_rootDATA \
1286         uninstall-libsciui_data_la_sci_gatewayDATA \
1287         uninstall-nobase_libsciui_data_la_iconsDATA \
1288         uninstall-pkglibLTLIBRARIES
1289
1290 .MAKE: all check check-am install install-am install-strip
1291
1292 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1293         check-local clean clean-generic clean-libtool clean-local \
1294         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1295         ctags ctags-am distclean distclean-compile distclean-generic \
1296         distclean-libtool distclean-local distclean-tags distdir dvi \
1297         dvi-am html html-am info info-am install install-am \
1298         install-data install-data-am install-data-local install-dvi \
1299         install-dvi-am install-exec install-exec-am install-html \
1300         install-html-am install-html-local install-info \
1301         install-info-am install-libsciui_data_la_etcDATA \
1302         install-libsciui_data_la_rootDATA \
1303         install-libsciui_data_la_sci_gatewayDATA install-man \
1304         install-nobase_libsciui_data_la_iconsDATA install-pdf \
1305         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1306         install-ps-am install-strip installcheck installcheck-am \
1307         installdirs maintainer-clean maintainer-clean-generic \
1308         mostlyclean mostlyclean-compile mostlyclean-generic \
1309         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1310         uninstall-am uninstall-libsciui_data_la_etcDATA \
1311         uninstall-libsciui_data_la_rootDATA \
1312         uninstall-libsciui_data_la_sci_gatewayDATA \
1313         uninstall-nobase_libsciui_data_la_iconsDATA \
1314         uninstall-pkglibLTLIBRARIES
1315
1316
1317 # This target enables tests for Scilab
1318 check-local: $(top_builddir)/scilab-bin test
1319         if test -d $(mydatadir)/tests; then \
1320           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1321         fi
1322 check-code:
1323         if test -f build.xml; then \
1324                 $(ANT) checkstyle; \
1325         fi
1326         if test -x "$(SPLINT)"; then \
1327                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1328         fi
1329 @NEED_JAVA_TRUE@java:
1330 # Some configurations needs to export JAVA_HOME in the current env
1331 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1332 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1333 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1334 @NEED_JAVA_TRUE@                $(ANT); \
1335 @NEED_JAVA_TRUE@        fi
1336
1337 @NEED_JAVA_TRUE@clean-java:
1338 # Some configurations needs to export JAVA_HOME in the current env
1339 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1340 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1341 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1342 @NEED_JAVA_TRUE@                $(ANT) clean; \
1343 @NEED_JAVA_TRUE@        fi;
1344
1345 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1346 # We call the target swig-build on the variable SWIG_WRAPPERS
1347
1348 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1349 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1350 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1351 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1352 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1353 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1354 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1355 @SWIG_TRUE@             done; \
1356 @SWIG_TRUE@     fi
1357
1358 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1359 # We call the target swig-build on the variable SWIG_WRAPPERS
1360
1361 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1362 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1363 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1364 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1365 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1366 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1367 @GIWS_TRUE@             done; \
1368 @GIWS_TRUE@     fi
1369
1370 @GIWS_TRUE@giws-exception:
1371 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1372 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1373 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1374
1375 macros:
1376         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1377                 echo "Error : Cannot build $< : Scilab has not been built"; \
1378         else \
1379                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1380         fi)
1381
1382 # Removes the macros
1383 clean-macros:
1384 # Removes macros (*.bin generated from .sci)
1385         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1386                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1387                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1388         done
1389
1390 test:
1391 # More tests could be added here
1392         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1393         if test -f build.xml -a $$USEANT -eq 1; then \
1394                 $(ANT) test; \
1395         fi
1396
1397 all-local: $(TARGETS_ALL)
1398
1399 .sci.bin:
1400         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1401         echo "Error : Cannot build $< : Scilab has not been build"; \
1402         else \
1403         echo "Creating $@"; \
1404         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1405         fi )
1406
1407 install-html-local:
1408
1409 install-data-local-local:
1410 # Mainly for javasci
1411         @if test -d $(srcdir)/javadoc; then \
1412                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1413         fi
1414 # If the user wants the help sources to be installed
1415 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1416 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1417 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1418 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1419 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1420 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1421 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1422 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1423 @INSTALL_HELP_XML_TRUE@           done ; \
1424 @INSTALL_HELP_XML_TRUE@         fi; \
1425 @INSTALL_HELP_XML_TRUE@  fi; \
1426 @INSTALL_HELP_XML_TRUE@ done; \
1427 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1428 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1429 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1430 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1431 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1432 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1433 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1434 @INSTALL_HELP_XML_TRUE@           done ; \
1435 @INSTALL_HELP_XML_TRUE@         fi; \
1436 @INSTALL_HELP_XML_TRUE@ fi
1437 install-data-local:
1438 # Install the tests
1439         @echo "-------- Install tests (if any) --------"; \
1440         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1441           if test -d $(srcdir)/$$dir/; then \
1442             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1443                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1444                     if test -d "$(srcdir)/$$dir/$$file"; then \
1445                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1446                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1447                     else \
1448                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1449                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1450                     fi \
1451                   done; \
1452           fi; \
1453         done
1454 # Install the help chapter
1455         @echo "-------- Install the help chapter (if any) --------"; \
1456         for lang in $(HELP_CHAPTERLANG); do \
1457                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1458                 if test -f $$HELPFILE; then \
1459                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1460                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1461                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1462                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1463                 fi; \
1464         done
1465 # Install the demos & examples
1466         @echo "-------- Install demos & examples (if any) --------"; \
1467         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1468           if test -d $(srcdir)/$$dir/; then \
1469             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1470                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1471                     if test -d "$(srcdir)/$$dir/$$file"; then \
1472                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1473                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1474                     else \
1475                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1476                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1477                     fi \
1478                   done; \
1479           fi; \
1480         done
1481 # Install the macros
1482         @echo "-------- Install macros (if any) --------"; \
1483         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1484           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1485                 if test -d $(srcdir)/$$dir/; then \
1486                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1487                         if test -n "$(MACROSSPECIALEXT)"; then \
1488                                 specialExtDir=""; \
1489                                 for specialExt in $(MACROSSPECIALEXT); do \
1490                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1491                                 done; \
1492                                 FILELIST="$$FILELIST $$specialExtDir"; \
1493                         fi; \
1494                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1495                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1496                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1497                   done; \
1498                 fi; \
1499         done
1500 # Install java files (.jar)
1501         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1502         echo "-------- Install jar files --------"; \
1503     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1504           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1505                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1506                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1507           done ; \
1508         fi
1509
1510 ########### CLEAN ###################
1511 # Clean help (generated automatically by Scilab)
1512 # It used to clean the macro (clean-macros) but this was causing
1513 # make clean && make to fail Scilab startup
1514 @NEED_JAVA_TRUE@clean-local: clean-java
1515 @NEED_JAVA_FALSE@clean-local:
1516
1517 distclean-local:
1518         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1519
1520 .PHONY: macros java swig giws
1521
1522 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1523 # Otherwise a system limit (for SysV at least) may be exceeded.
1524 .NOEXPORT: